<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sociable Weaver</title>

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,500|Rubik:500" rel="stylesheet">
    <!--
            CSS
            ============================================= -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/linearicons.css}" type="text/css">
    <link rel="stylesheet" th:href="@{/css/font-awesome.min.css}">
    <link rel="stylesheet" th:href="@{/css/bootstrap.css}">
    <link rel="stylesheet" th:href="@{/css/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{/css/nice-select.css}">
    <link rel="stylesheet" th:href="@{/css/animate.min.css}">
    <link rel="stylesheet" th:href="@{/css/owl.carousel.css}">
    <link rel="stylesheet" th:href="@{/css/main.css}">

    <style>
        .container logo-wrap {
            background-image: url("images/thenest.jpg");
            background-size: cover;
            background-position: center;
            min-height: 1000px;
        }
    </style>
</head>
<body>

<div class="wrap">

    <header role="banner">
        <div class="top-bar">
            <nav class="navbar navbar-expand-md  navbar-light bg-light">
                <div class="container">

                    <div class="collapse navbar-collapse" id="navbarMenu">
                        <ul class="nav justify-content-end">
                            <li class="nav-item">
                                <a class="nav-link" href="http://localhost:8080/swagger-ui.html#/">API</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" th:href="@{/login}">Join The Flock</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </div>

        <div class="container logo-wrap">
            <div class="row pt-5">
                <div class="col-12 text-center">
                    <a class="absolute-toggle d-block d-md-none" data-toggle="collapse" href="#navbarMenu" role="button"
                       aria-expanded="false" aria-controls="navbarMenu"><span class="burger-lines"></span></a>
                    <h1 class="site-logo">Welcome to Sociable Weaver</h1>
                    <h2>Social birds are smarter birds</h2>
                </div>
            </div>
        </div>
    </header>

    <section class="site-section py-sm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <h2 class="mb-4">Latest Posts</h2>
                </div>
            </div>
            <div class="row blog-entries">
                    <div class="col-md-12 col-lg-8 main-content" th:each="post:${posts}">
                        <div class="row">
                            <div class="col-md-6">
                                <a class="blog-entry element-animate" data-animate-effect="fadeIn">
                                    <img th:src="@{'data:postPhoto/png;base64,'+${post.getPostPhoto()}}"
                                         alt="Image placeholder">
                                    <div class="blog-content-body">
                                        <div class="post-meta">
                                            <span class="author mr-2"><img
                                                    th:src="@{'data:postPhoto/png;base64,'+${post.getUser().getPhoto()}}"
                                                    alt="Colorlib"> Colorlib</span>&bullet;
                                            <span class="mr-2"
                                                  th:text="${post.getCreatedAt().toString().substring(0,10)}"></span>
                                            <span class="ml-2"><span class="fa fa-comments"
                                                                     th:text="${post.getComments().size()}"></span></span>
                                        </div>
                                        <h2 th:text="${post.getPostText()}">How to Find the Video Games of Your
                                            Youth</h2>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                   <div>
                        <ul class="nav nav-pills">
                            <li class="nav-item"
                                th:each="i : ${#numbers.sequence(0,posts.totalPages-1)}">
                                <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''"
                                   th:href="@{/(page=${i})}"
                                   th:text="${i}"> </a></li>
                        </ul>
                   </div>
                </div>

                <!-- END main-content -->

                <div class="col-md-12 col-lg-4 sidebar">
                    <div class="sidebar-box search-form-wrap">
                        <form action="#" class="search-form">
                            <div class="form-group">
                                <span class="icon fa fa-search"></span>
                                <input type="text" class="form-control" id="s"
                                       placeholder="Type a keyword and hit enter">
                            </div>
                        </form>
                    </div>
                    <!-- END sidebar-box -->
                    <div class="sidebar-box">
                        <h3 class="heading">The Flock</h3>
                        <div class="bio text-center" th:each="user:${users}">
                            <img th:src="@{'data:postPhoto/png;base64,'+${user.getPhoto()}}" alt="Image Placeholder"
                                 class="img-fluid">
                            <div class="bio-body">
                                <h6 th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}">David Craig</h6>
                            </div>
                        </div>
                    </div>
                    <!-- END sidebar-box -->
                    <div class="sidebar-box">
                        <h3 class="heading">Popular Posts</h3>
                        <div class="post-entry-sidebar" th:each="popularpost:${popularPosts}">
                            <ul>
                                <li>
                                    <a href="">
                                        <img th:src="@{'data:postPhoto/png;base64,'+${popularpost.getPostPhoto()}}"
                                             alt="Image placeholder" class="mr-4">
                                        <div class="text">
                                            <h4 th:text="${popularpost.getPostText()}">How to Find the Video Games of
                                                Your
                                                Youth</h4>
                                            <div class="post-meta">
                                        <span class="mr-2"
                                              th:text="${popularpost.getCreatedAt().toString().substring(0,10)}">March 15, 2018 </span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>

    <footer>
        <p class="float-left">© Sociable Weaver, Inc. 2019</p>
    </footer>

</div>

<!-- loader -->
<div id="loader" class="show fullscreen">
    <svg class="circular" width="48px" height="48px">
        <circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/>
        <circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10"
                stroke="#f4b214"/>
    </svg>
</div>

<script th:src="@{/js/jquery-3.2.1.min.js}"></script>
<script th:src="@{/js/jquery-migrate-3.0.0.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{js/bootstrap.min.js}"></script>
<script th:src="@{/js/owl.carousel.min.js}"></script>
<script th:src="@{/js/jquery.waypoints.min.js}"></script>
<script th:src="@{/js/jquery.stellar.min.js}"></script>


<script src="..static/js/main.js"></script>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>
